<?php

/* FIRESHOP: Advanced Content Market System                         */

/* ============================================                         */

/*                                                                      */

/* Copyright (c) 2012 by Mohamad Porhaji                                */

/* http://Firedesign.ir                                                   */

/*                                                                      */

/* This program is free software.  */

/************************************************************************/

/* $Id: pay_order.php,v 1.0.0.1 2012/02/18 By Mohamad Porhaji $ */
@session_start();
require_once("mainfile.php");
global $db;


$title_page_over="طريقه پرداخت";
$page_title = "طريقه پرداخت";


function content()

{
if(isset($_POST['ended'])){
global $db;
$order_id=$_POST['id'];
echo"<br/>
<div align='center'>
بزودي براي تاييد سفارش با شما تماس گرفته خواهد شد
. با تشكر از حسن انتخاب شما به خاطر خريدتان از شما سپاس گذاريم<br/><br/><br/></div>";

$id = $order_id;

$datasql = $db->sql_query("SELECT * FROM fireshop_order WHERE  id='$id'") or die(mysql_error());
$mydata = $db->sql_fetchrow($datasql);
$id  	= $mydata['id'];
$ip 	= $mydata['ip'];
$date  	= $mydata['date'];
$subtotal=  number_format($mydata['subtotal'], 0);
$total_price_send= number_format($mydata['total_price_send'], 0);
$name= $mydata['name'];
$kar_tel= $mydata['kar_tel'];
$home_tel= $mydata['home_tel'];
$mobile= $mydata['mobile'];
$email= $mydata['email'];
$ostan_id= $mydata['ostan_id'];
$code_post= $mydata['code_post'];
$adress= $mydata['adress'];
$des= $mydata['des'];
$pay_id= $mydata['pay_id'];
$status= $mydata['status'];

$is_payed= $mydata['is_payed'];
$payway_id= $mydata['payway'];
$sendway_id= $mydata['sendway'];

$datasql = $db->sql_query("SELECT * FROM fireshop_zone WHERE `id`='$ostan_id'") or die(mysql_error());
$mydata = $db->sql_fetchrow($datasql);
$ostan_title= $mydata['title'];

$datasql = $db->sql_query("SELECT * FROM fireshop_sendway WHERE `id`='$sendway_id'") or die(mysql_error());
$mydata = $db->sql_fetchrow($datasql);

$sendway_title= $mydata['title'];
$maliyat = number_format($mydata['maliyat'], 0);
$hazine= number_format($mydata['hazine'], 0);

$datasql = $db->sql_query("SELECT * FROM fireshop_payway WHERE `id`='$payway_id'") or die(mysql_error());
$mydata = $db->sql_fetchrow($datasql);
$payway_title= $mydata['title'];

$sql = $db->sql_query("SELECT * FROM fireshop_general where id='1'");
$row = $db->sql_fetchrow($sql);
$site_title=$row['site_title'];
$site_url = $row['site_url'];
$tel  = $row['tel'];
$adress   = $row['adress'];

if($status==NULL){$status="انتظار";}else{$status=$status;}

if($kar_tel==NULL){$kar_tel="ندارد";}else{$kar_tel=$kar_tel;}
if($email==NULL){$email="ندارد";}else{$email=$email;}
if($des==NULL){$des="ندارد";}else{$des=$des;}

echo"
<table  id='wrapper' cellspacing='1' cellpadding='10' bgcolor='#cccccc' align='center'><tr><td bgcolor='#ffffff'>

<table width='100%'><tr>
<td width='50%' align='right'>
رسيد مشتري <br/>
<p><strong>شماره سفارش : $id</strong><br />
تاريخ ثبت سفارش :  $date<br /></p>

</td>
<td width='50%' align='dight'>

<font class='paid'>$site_title</font><br />
نحوه پرداخت : $payway_title <br />
</td></tr></table>

<br />


<table width='100%' id='invoicetoptables' cellspacing='0'><tr>
<td width='50%' id='invoicecontent' style='border:1px solid #cccccc;border-left:0px;'>

<table width='100%'  cellspacing='0' cellpadding='10' id='invoicetoptables'><tr><td id='invoicecontent' valign='top' style='border:1px solid #cccccc'>

<strong>مشخصات مشتري</strong><br />
نام و نام خانوادگي : $name<br />
تلفن محل كار : $kar_tel | 
تلفن منزل : $home_tel | 
تلفن همراه : $mobile | ايميل : $email<br />
استان : $ostan_title | كد پستي : $code_post <br />
آدرس پستي : $adress <br />
توضيحات داده شده توسط مشتري : $des <br/>
</td></tr></table>

</td></tr></table>
<br/>

<table cellspacing='0' id='invoiceitemstable' align='center'><tr><td id='invoiceitemsheading' align='center' width='60%' style='border:1px solid #cccccc;border-bottom:0px;'><strong>عنوان كالا</strong></td>
<td id='invoiceitemsheading' align='center' width='15%' style='border:1px solid #cccccc;border-bottom:0px;'><strong>قيمت جزء</strong></td>
<td id='invoiceitemsheading' align='center' width='5%' style='border:1px solid #cccccc;border-bottom:0px;'><strong>تعداد</strong></td>
<td id='invoiceitemsheading' align='center' width='20%' style='border:1px solid #cccccc;border-left:0px;border-bottom:0px;'><strong>مبلغ</strong></td></tr>";





$query = $db->sql_query("SELECT * FROM `fireshop_buy_session` WHERE order_id='$id'");
while($row=$db->sql_fetchrow($query)){
$id_i= $row['id'];
$pro_id= $row['pro_id'];
$num_pro= $row['num_pro'];
$pro_title= $row['pro_title'];
$pro_price= $row['pro_price'];
$pro_price_s= number_format($pro_price, 0);
$total_price_num = ($pro_price*$num_pro);
$total_price_num_s  = number_format($total_price_num, 0);




echo"<tr bgcolor=#ffffff><td id='invoiceitemsrow' style='border:1px solid #cccccc;border-bottom:0px;'>$pro_title</td>
<td id='invoiceitemsrow' align='center' style='border:1px solid #cccccc;border-bottom:0px;'>$pro_price_s تومان</td>
<td id='invoiceitemsrow' align='center' style='border:1px solid #cccccc;border-bottom:0px;'>$num_pro</td>
<td align='center' id='invoiceitemsrow' style='border:1px solid #cccccc;border-bottom:0px;border-left:0px;'>$total_price_num_s تومان</td></tr>";
}



echo"
</table>
<table cellspacing='0' id='invoiceitemstable' align='center'>
<tr><td id='invoiceitemsheading' width='80%' style='border:1px solid #cccccc;border-bottom:0px;'><div align='right'>جمع مبلغ كالاها</div></td><td id='invoiceitemsheading' width='20%' align='center' style='border:1px solid #cccccc;border-bottom:0px;border-left:0px;'><strong>$subtotal  تومان</strong></td></tr>
<tr><td id='invoiceitemsheading' style='border:1px solid #cccccc;border-bottom:0px;'><div align='right'>ماليات و هزينه هاي متفرقه</div></td><td id='invoiceitemsheading' align='center' style='border:1px solid #cccccc;border-bottom:0px;border-left:0px;'><strong>$maliyat  تومان</strong></td></tr>
<tr><td id='invoiceitemsheading' style='border:1px solid #cccccc;'><div align='right'>هزينه پستي</div></td><td id='invoiceitemsheading' align='center' style='border:1px solid #cccccc;border-left:0px;'><strong>$hazine تومان</strong></td></tr>
<tr><td id='invoiceitemsheading' style='border:1px solid #cccccc;'><div align='right'>جمع كل + ماليات و هزينه پستي</div></td><td id='invoiceitemsheading' align='center' style='border:1px solid #cccccc;border-left:0px;'><strong>$total_price_send تومان</strong></td></tr>
</table>


<p><strong>طريقه ارسال انتخاب شده : </strong>$sendway_title</p>


<br />

<table width='100%' id='invoicetoptables' cellspacing='0'><tr>
<td width='50%' id='invoicecontent' style='border:1px solid #cccccc;border-left:0px;'>

<table width='100%'  cellspacing='0' cellpadding='10' id='invoicetoptables'><tr><td id='invoicecontent' valign='top' style='border:1px solid #cccccc'>

<strong>مشخصات فروشگاه</strong><br />
آدرس فروشگاه : $adress<br />
تلفن : $tel | 
آدرس اينترنتي : $site_url   
</td></tr></table>

</td></tr></table>
</td></tr></table>";


echo"<br/><br/>
<form action='invoice.php' method='post'>
<input  type='hidden' size='10' name='id'  value='$order_id'/>
<input  type='submit' name='view_invoice' value='دريافت نسخه چاپي فاكتور'/>
</form>
";


@session_destroy();
define('END_S_ORDER', true);
}

if(isset($_GET['do'])){
$do = $_GET['do'];switch ($do){
case 'end':global $db;



if(isset($_POST['end_s_order'])){
define('END_S_ORDER', true);
if(empty($_POST['payway']))
{
echo"لطفا نحوه پرداخت را انتخاب كنيد <a href='javascript:history.go(-1)'>بازگشت</a>";
}else{
$payway=$_POST['payway'];
$order_id=$_POST['order_id'];

$query = $db->sql_query("UPDATE  fireshop_order SET `payway`='$payway'  WHERE id='$order_id' LIMIT 1");
if($query){

$query = $db->sql_query("SELECT * FROM `fireshop_order` WHERE id='$order_id'");
$row=$db->sql_fetchrow($query);
$code_rahgiry=$row['time_stamp'];

echo"<div align='right' style='padding:10px'> سفارش شما با موفقيت كامل گرديد ( لطفا دكمه اتمام خريد را در پايين صفحه بزنيد )
<br/>
همواره شما ميتوانيد از بخش رهگيري سفارش وضعيت سفارش خود را بررسي كنيد و يا فيش بانكي خود را براي اين سفارش ثبت كنيد
<br/>
لطفا كد رهگيري و شماره سفارش را يادداشت كنيد و نزد خود نگه داريد
<br/>

</div><div align='center' dir='rtl' style='padding:10px'>
<table style='background-color: #333333; font-family: tahoma; font-size: 11px; text-decoration: none; color: #CCCCCC'>
<tr>
<td style='width: 90px;border-left-style: solid; border-left-width: 1px; border-left-color: #cccccc;'>
شماره سفارش </td>
<td style='width: 300px;'>&nbsp;  
كد رهگيري </td>
</tr>
</table>
<table style='background-color: #CCCCCC; font-family: tahoma; font-size: 11px; text-decoration: none; color: #333333'>
<tr>
<td style='width:90px;border-left-style: solid; border-left-width: 1px; border-left-color: #ffffff;'>
$order_id
</td>
<td style='width:300px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>&nbsp;
$code_rahgiry
</td>
</tr>
</table>

</div><div align='right' style='padding:10px'>
<form action='pay_order.php' method='post'>
<div align='center' dir='rtl' style='padding:10px'>";
echo"
<input type='hidden' name='id' value='$order_id'/>
<input type='submit' name='ended' value='اتمام خريد'/>
<button onclick='javascript:history.go(-1)' class='button'>بازگشت و تغيير نحوه پرداخت</button>
</div></form>";
}else{
echo"لطفا نحوه پرداخت را انتخاب كنيد <a href='javascript:history.go(-1)'>بازگشت</a>";
}
}

}


break;
}
}


if(isset($_POST['s_order'])){

if(empty($_POST['RashCMS']))
{
echo"كد امنيتي را وارد كنيد";
echo" <a href='javascript:history.go(-1)'>بازگشت</a>";

}else{
if(empty($_POST['sendway']))
{
echo"نحوه ارسال را انتخاب كنيد";
echo" <a href='javascript:history.go(-1)'>بازگشت</a>";
}else{
if(empty($_POST['name'])
or empty($_POST['name'])
or empty($_POST['home_tel'])
or empty($_POST['mobile'])
or empty($_POST['ostan'])
or empty($_POST['code_post'])
or empty($_POST['adress']))
{
echo"پركردن فيلدهاي ستاره دار الزامي است";
echo" <a href='javascript:history.go(-1)'>بازگشت</a>";
}else{

$RashCMS = @$_POST['RashCMS'];
if( @$_SESSION['rash_secimg'] !== $RashCMS) {

        echo"كد امنيتي اشتباه است <a href='javascript:history.go(-1)'>بازگشت</a>";
        }else{
        $randcode =rand(1000,1000000000);
        $_SESSION['rash_secimg'] = $randcode;


$subtotal=$_POST['subtotal'];
$order_id=$_POST['order_id'];
$sendway=$_POST['sendway'];







$name=$_POST['name'];
$kar_tel=$_POST['kar_tel'];
$home_tel=$_POST['home_tel'];
$mobile=$_POST['mobile'];
$email=$_POST['email'];
$ostan=$_POST['ostan'];
$code_post=$_POST['code_post'];
$adress=$_POST['adress'];
$des=$_POST['des'];
$RashCMS=$_POST['RashCMS'];
global $db;



$datasql = $db->sql_query("SELECT * FROM fireshop_sendway WHERE `id`='$sendway'") or die(mysql_error());
$mydata = $db->sql_fetchrow($datasql);
$maliyat=$mydata['maliyat'];
$hazine=$mydata['hazine'];
$total_price_send=($subtotal+$hazine+$maliyat);




$query = $db->sql_query("UPDATE  fireshop_order SET  `is_end`='1',`subtotal`='$subtotal',`sendway`='$sendway'  ,`total_price_send`='$total_price_send',`name`='$name',`kar_tel`='$kar_tel',`home_tel`='$home_tel',`mobile`='$mobile',`email`='$email',`ostan_id`='$ostan',`code_post`='$code_post',`adress`='$adress',`des`='$des' WHERE id='$order_id' LIMIT 1");
if($query){

echo"<div align='right' style='padding:10px'> سفارش شما با موفقيت ثبت گرديد
<br/>
لطفا براي ادامه خريد نحوه پرداخت وجه را انتخاب كنيد.در صورت عدم انتخاب نحوه پرداخت سفارش شما ناقص خواهد ماند
<br/><br/></div>
<form action='pay_order.php?do=end' method='post'>
<div align='center' dir='rtl' style='padding:10px'>
<table style='background-color: #333333; font-family: tahoma; font-size: 11px; text-decoration: none; color: #CCCCCC'>
<tr>
<td style='width: 600px;'>
نحوه پرداخت <span style='color: red'>*</span></td>
</tr>
</table>";


$sql = $db->sql_query("SELECT * FROM fireshop_payway Where is_active=1");
while ($row = $db->sql_fetchrow($sql)) {
$id = $row['id'];
$title = $row['title'];
$des=$row['des'];

echo"
<table style='background-color: #CCCCCC; font-family: tahoma; font-size: 11px; text-decoration: none; color: #333333'>
<tr>
<td style='width:600px;border-top-style: solid; border-top-width: 1px; border-top-color: #ffffff;'>
<input type='radio' name='payway' value='$id'/>      $title<br/>
$des
</td>

</tr>
</table>
";
}

echo"</div>
<input type='hidden' name='order_id' value='$order_id'/>
<div align='left' style='margin-left:35px'><input type='submit' name='end_s_order' value='ادامه'/>
<button onclick='javascript:history.go(-1)' class='button'>بازگشت و ويرايش</button>
</div>
</form>
";


}else{print('<div class="failed"><div class="MsgBody">خطا<br/><button onclick="javascript:history.go(-1)" class="button">بازگشت</button></div></div>');}



}
}
}
}
}else{

if (defined('END_S_ORDER'))
{

}else{
echo"لطفا سفارش خود را تكميل كنيد  <a href='javascript:history.go(-1)'>بازگشت</a>";
}


}





}
theme();
?>
